VIRT-FW-DUMP(1)

NAME
virt-fw-dump - manual page for virt-fw-dump 25.4

DESCRIPTION
The virt-fw-dump utility prints the structure and content of edk2 firmware volumes to stdout.

usage: virt-fw-dump [-h] [-i FILE] [--all] [--volumes] [--modules]

    [--ovmf-meta] [--volume-hashes]

Dump EFI firmware volumes and EFI variable stores.

  options:

-h, --help
    show this help message and exit

-i, --input FILE
    dump firmware volume FILE

--all
    print everything (default)

--volumes
    print firmware volumes

--modules
    print included modules

--ovmf-meta
    decode ovmf metadata (in reset vector)

--volume-hashes
    print volume hashes

EXAMPLES
virt-fw-dump --input /usr/share/edk2/ovmf/OVMF_CODE.fd

AUTHOR
Gerd Hoffmann <kraxel@redhat.com>